IntelliJ Idea编译报错:请使用 -source 7 或更高版本以启用 diamond 运算符

最近在使用IntelliJ Idea遇到了挫折,分享出来给大家,问题由来是我导入了外部的java文件,结果就报错了 错误的句子也提示出来了: KafkaConsumer<String, String> kafkaConsumer = new KafkaConsumer<>(p...

IDEA报错Target level '1.6' is incompatible with source level '1.7'

解决IDEA 编译级别 Error:java: Target level '1.6' is incompatible with source level '1.7'. A target level '1.7' or better is required 打开之后发现有一个编译级别设置的不对 更改如下...

本页面内关键词为智能算法引擎基于机器学习所生成,如有任何问题,可在页面下方点击"联系我们"与我们沟通。

社区圈子

开发与运维
开发与运维
集结各类场景实战经验,助你开发运维畅行无忧
6428+人已加入
加入
相关电子书
更多
蚂蚁金服高级开发工程师萧恺:IDEA 插件开发入门教程
立即下载